package com.example.switchyard.oncompletion_test;

import javax.inject.Inject;

import org.switchyard.Context;
import org.switchyard.HandlerException;
import org.switchyard.Scope;
import org.switchyard.component.bean.Service;

@Service(ThrowExceptionService.class)
public class ThrowExceptionServiceBean implements ThrowExceptionService {

	@Inject
	private Context context;
	
	@Override
	public String throwException(String from) throws HandlerException {
		// Set some property on context
		context.setProperty("myProperty", "myValue", Scope.EXCHANGE);
		// Return something, works fine
		//return from;
		// Throw an exception, doesn't work
		throw new HandlerException("MyException");
	}

}
